# Get OnPage Report

## GET /pages

> Get all Page Reports

```json
{"openapi":"3.0.0","info":{"title":"Ranklytics API","version":"1.0.0"},"tags":[{"name":"Pages","description":"Pages"}],"servers":[{"url":"https://api.ranklytics.ai","description":"Ranklytics API Server"}],"security":[{"apiKey":[],"secretKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"API Key for authentication","name":"X-API-KEY","in":"header"}}},"paths":{"/pages":{"get":{"tags":["Pages"],"summary":"Get all Page Reports","operationId":"f6ce51ee7b7df5736f149e3bdd133c0c","parameters":[{"name":"project_id","in":"query","required":true,"schema":{"type":"integer"}},{"name":"offset","in":"query","schema":{"type":"integer"}},{"name":"limit","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"offset":{"type":"integer"},"limit":{"type":"integer"},"pages":{"type":"array","items":{"properties":{"title":{"type":"string"},"url":{"type":"string"},"description":{"type":"string"},"internal_links":{"type":"integer"},"external_links":{"type":"integer"},"images":{"type":"integer"},"render_blocking_scripts_count":{"type":"integer"},"word_count":{"type":"integer"},"readability_index":{"type":"number"},"last_modified_header":{"type":"string","format":"date-time"}},"type":"object"}}},"type":"object"}}}},"400":{"description":"Invalid API Credentials or Project not found","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"message":{"type":"string"}},"type":"object"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"message":{"type":"string"}},"type":"object"}}}}}}}}}
```
